Subject: Re: Using -i option

From: Mike Brudenell <[email-masked]>
Date: Thu, 2 Jan 1997 09:48:28 +0000 (GMT)

Firstly, please try to be a little careful when writing comman line
options in your messages to prevent confusing others... "-i" is _not_ the
"initial keystrokes option" but is instead "start Pine in the Index
Screen".  The option you are really referring to is "-I" (ie, capital i). 

You can enter various "unusual" keystrokes in the -I option's list of
keystrokes using English mnemonics.  I enclose a list below culled from
the pine/init.c source code file's "process_init_cmds" function (in which,
if you have the source code too, you could presumably have found them
too:-) 

	SPACE		(Space)
	CR		(Return)
	TAB		(Tab)
	^char		(Control+char)
	F1...F12	(function keys F1 through F12)
	f1...f12	(ditto)
	UP		(Up arrow)
	DOWN		(Down arrow)
	LEFT		(Left arrow)
	RIGHT		(Right arrow)

Cheers,

-- 
Mike Brudenell                                         <[email-masked]>
------------------------------------------------------------------------
The Computing Service, University of York, Heslington, York, YO1 5DD, UK
Tel: +44-1904-433811  FAX: +44-1904-433740  http://www.york.ac.uk/~pmb1/

On Wed, 18 Dec 1996, Al Byers wrote:

> I periodically perform this exercise in frustration by asking if anyone
> can tell me how to tab from one header field to the next using the
> initial keystroke option, -i. From the console, the tab or enter key
> works fine, but I cannot find a way to embed those keystrokes in my
> keystroke list. I can get into the compose mode all right, but then it
> interprets everything as an address.
> -- 
> Al Byers                    Automation Group of Virginia, Inc.
> [email-masked]              P.O. Box 1091
> 540.949.8777                Waynesboro, VA 22980
>